GDAL

Public Member Functions | Static Public Member Functions | List of all members
OGRGlobFieldDomain Class Reference

Definition of a field domain for field content validated by a glob. More...

`#include <ogr_feature.h>`

Inheritance diagram for OGRGlobFieldDomain:

## Public Member Functions
| OGRGlobFieldDomain (const std::string &osName, const std::string &osDescription, OGRFieldType eFieldType, OGRFieldSubType eFieldSubType, const std::string &osBlob)
| Constructor. More...
OGRGlobFieldDomain * | Clone () const override
| Clone. More...
const std::string & | GetGlob () const
| Get the glob expression. More...
const std::string & | GetName () const
| Get the name of the field domain. More...
const std::string & | GetDescription () const
| Get the description of the field domain. More...
OGRFieldDomainType | GetDomainType () const
| Get the type of the field domain. More...
OGRFieldType | GetFieldType () const
| Get the field type. More...
OGRFieldSubType | GetFieldSubType () const
| Get the field subtype. More...
OGRFieldDomainSplitPolicy | GetSplitPolicy () const
| Get the split policy. More...
void | SetSplitPolicy (OGRFieldDomainSplitPolicy policy)
| Set the split policy. More...
OGRFieldDomainMergePolicy | GetMergePolicy () const
| Get the merge policy. More...
void | SetMergePolicy (OGRFieldDomainMergePolicy policy)
| Set the merge policy. More...

## Static Public Member Functions
static OGRFieldDomainH | ToHandle (OGRFieldDomain *poFieldDomain)
| Convert a OGRFieldDomain* to a OGRFieldDomainH.
static OGRFieldDomain * | FromHandle (OGRFieldDomainH hFieldDomain)
| Convert a OGRFieldDomainH to a OGRFieldDomain*.

## Detailed Description

Definition of a field domain for field content validated by a glob.

Globs are matching expression like "*[a-z][0-1]?"

## Constructor & Destructor Documentation

## ◆ OGRGlobFieldDomain()

OGRGlobFieldDomain::OGRGlobFieldDomain | ( | const std::string & | osName,
|  | const std::string & | osDescription,
|  | OGRFieldType | eFieldType,
|  | OGRFieldSubType | eFieldSubType,
|  | const std::string & | osBlob
| ) |  |

Constructor.

This is the same as the C function OGR_GlobFldDomain_Create().

Parameters

  osName | Domain name.
  osDescription | Domain description.
  eFieldType | Field type.
  eFieldSubType | Field subtype.
  osBlob | Blob expression

## Member Function Documentation

## ◆ Clone()

OGRGlobFieldDomain * OGRGlobFieldDomain::Clone | ( |  | ) | const
| inlineoverridevirtual

Clone.

Return a cloned object, or nullptr in case of error.

Implements OGRFieldDomain.

## ◆ GetDescription()

const std::string & OGRFieldDomain::GetDescription | ( |  | ) | const
| inlineinherited

Get the description of the field domain.

Empty string if there is none.

This is the same as the C function OGR_FldDomain_GetDescription().

## ◆ GetDomainType()

OGRFieldDomainType OGRFieldDomain::GetDomainType | ( |  | ) | const
| inlineinherited

Get the type of the field domain.

This is the same as the C function OGR_FldDomain_GetDomainType().

## ◆ GetFieldSubType()

OGRFieldSubType OGRFieldDomain::GetFieldSubType | ( |  | ) | const
| inlineinherited

Get the field subtype.

This is the same as the C function OGR_FldDomain_GetFieldSubType().

## ◆ GetFieldType()

OGRFieldType OGRFieldDomain::GetFieldType | ( |  | ) | const
| inlineinherited

Get the field type.

This is the same as the C function OGR_FldDomain_GetFieldType().

## ◆ GetGlob()

const std::string & OGRGlobFieldDomain::GetGlob | ( |  | ) | const
| inline

Get the glob expression.

This is the same as the C function OGR_GlobFldDomain_GetGlob().

## ◆ GetMergePolicy()

OGRFieldDomainMergePolicy OGRFieldDomain::GetMergePolicy | ( |  | ) | const
| inlineinherited

Get the merge policy.

This is the same as the C function OGR_FldDomain_GetMergePolicy().

## ◆ GetName()

const std::string & OGRFieldDomain::GetName | ( |  | ) | const
| inlineinherited

Get the name of the field domain.

This is the same as the C function OGR_FldDomain_GetName().

## ◆ GetSplitPolicy()

OGRFieldDomainSplitPolicy OGRFieldDomain::GetSplitPolicy | ( |  | ) | const
| inlineinherited

Get the split policy.

This is the same as the C function OGR_FldDomain_GetSplitPolicy().

## ◆ SetMergePolicy()

void OGRFieldDomain::SetMergePolicy | ( | OGRFieldDomainMergePolicy | policy | ) |
| inlineinherited

Set the merge policy.

This is the same as the C function OGR_FldDomain_SetMergePolicy().

## ◆ SetSplitPolicy()

void OGRFieldDomain::SetSplitPolicy | ( | OGRFieldDomainSplitPolicy | policy | ) |
| inlineinherited

Set the split policy.

This is the same as the C function OGR_FldDomain_SetSplitPolicy().

The documentation for this class was generated from the following files:

- ogr_feature.h
- ogrfielddefn.cpp